Bug 1470630 - Can't get bindings
Can't get bindings
Status: CLOSED NOTABUG
Product: OpenShift Container Platform
Classification: Red Hat
Component: Pod (Show other bugs)
3.6.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Derek Carr
DeShuai Ma
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-13 06:32 EDT by DeShuai Ma
Modified: 2017-07-16 23:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-13 15:42:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description DeShuai Ma 2017-07-13 06:32:48 EDT
Description of problem:
After install service-catalog by openshift-ansible, I can get broker, serviceclass, instances; but when get bindings reture error.

Version-Release number of selected component (if applicable):
openshift v3.6.143
kubernetes v1.6.1+5115d708d7
etcd 3.2.1

How reproducible:
Always

Steps to Reproduce:
1. Get bindings
[root@host-8-174-68 dma]# oc get bindings
Error from server (MethodNotAllowed): the server does not allow this method on the requested resource

Actual results:
1. Failed get bindings

Expected results:
1. Get bingdings success

Additional info:
[root@host-8-174-68 dma]# oadm policy who-can get bindings
Namespace: kube-service-catalog
Verb:      get
Resource:  bindings

Users:  dma
        system:admin
        system:serviceaccount:default:router
        system:serviceaccount:kube-service-catalog:default
        system:serviceaccount:kube-service-catalog:service-catalog-controller
        system:serviceaccount:kube-system:generic-garbage-collector
        system:serviceaccount:kube-system:namespace-controller
        system:serviceaccount:management-infra:management-admin
        system:serviceaccount:openshift-ansible-service-broker:asb
        system:serviceaccount:openshift-infra:template-instance-controller

Groups: system:cluster-admins
        system:cluster-readers
        system:masters

[root@host-8-174-68 dma]# oc whoami
system:admin
Comment 1 Jordan Liggitt 2017-07-13 15:42:13 EDT
you need to fully-qualify bindings.servicecatalog.k8s.io

there is a "bindings" resource in the core kubernetes API that does not support list
Comment 2 DeShuai Ma 2017-07-14 01:32:22 EDT
(In reply to Jordan Liggitt from comment #1)
> you need to fully-qualify bindings.servicecatalog.k8s.io
> 
> there is a "bindings" resource in the core kubernetes API that does not
> support list

Thanks for your info. This two resource is totally different but same name, Nee rename ?
I'll create a upstream issue to talk about that. https://github.com/kubernetes-incubator/service-catalog/issues/1031

Note You need to log in before you can comment on or make changes to this bug.